## WebKitDOMTreeWalker WebKitDOMTreeWalker |

## Functions

WebKitDOMNode * | webkit_dom_tree_walker_parent_node ()
WebKitDOMNode * | webkit_dom_tree_walker_first_child ()
WebKitDOMNode * | webkit_dom_tree_walker_last_child ()
WebKitDOMNode * | webkit_dom_tree_walker_previous_sibling ()
WebKitDOMNode * | webkit_dom_tree_walker_next_sibling ()
WebKitDOMNode * | webkit_dom_tree_walker_previous_node ()
WebKitDOMNode * | webkit_dom_tree_walker_next_node ()
WebKitDOMNode * | webkit_dom_tree_walker_get_root ()
gulong | webkit_dom_tree_walker_get_what_to_show ()
WebKitDOMNodeFilter * | webkit_dom_tree_walker_get_filter ()
WebKitDOMNode * | webkit_dom_tree_walker_get_current_node ()
void | webkit_dom_tree_walker_set_current_node ()
gboolean | webkit_dom_tree_walker_get_expand_entity_references ()

## Properties

WebKitDOMNode * | current-node | Read
WebKitDOMNodeFilter * | filter | Read
WebKitDOMNode * | root | Read
gulong | what-to-show | Read

## Types and Values

struct | WebKitDOMTreeWalker

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTreeWalker

## Description

## Functions

### webkit_dom_tree_walker_parent_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_parent_node (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_parent_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_first_child ()

    WebKitDOMNode *
    webkit_dom_tree_walker_first_child (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_first_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_last_child ()

    WebKitDOMNode *
    webkit_dom_tree_walker_last_child (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_last_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_previous_sibling ()

    WebKitDOMNode *
    webkit_dom_tree_walker_previous_sibling
                                   (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_previous_sibling` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_next_sibling ()

    WebKitDOMNode *
    webkit_dom_tree_walker_next_sibling (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_next_sibling` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_previous_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_previous_node (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_previous_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_next_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_next_node (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_next_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_get_root ()

    WebKitDOMNode *
    webkit_dom_tree_walker_get_root (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_get_root` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_get_what_to_show ()

    gulong
    webkit_dom_tree_walker_get_what_to_show
                                   (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_get_what_to_show` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A gulong

### webkit_dom_tree_walker_get_filter ()

    WebKitDOMNodeFilter *
    webkit_dom_tree_walker_get_filter (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_get_filter` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNodeFilter.

[transfer full]

### webkit_dom_tree_walker_get_current_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_get_current_node
                                   (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_get_current_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_set_current_node ()

    void
    webkit_dom_tree_walker_set_current_node
                                   (WebKitDOMTreeWalker *self,
                                    WebKitDOMNode *value,
                                    GError **error);

`webkit_dom_tree_walker_set_current_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMTreeWalker |
value | A WebKitDOMNode |
error | GError |

### webkit_dom_tree_walker_get_expand_entity_references ()

    gboolean
    webkit_dom_tree_walker_get_expand_entity_references
                                   (WebKitDOMTreeWalker *self);

`webkit_dom_tree_walker_get_expand_entity_references` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it just returns `FALSE`.

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A gboolean

## Types and Values

### struct WebKitDOMTreeWalker

    struct WebKitDOMTreeWalker;

## Property Details

### The `“current-node”` property

      “current-node”             WebKitDOMNode *

read-only WebKitDOMNode* TreeWalker:current-node.

Flags: Read

### The `“filter”` property

      “filter”                   WebKitDOMNodeFilter *

read-only WebKitDOMNodeFilter* TreeWalker:filter.

Flags: Read

### The `“root”` property

      “root”                     WebKitDOMNode *

read-only WebKitDOMNode* TreeWalker:root.

Flags: Read

### The `“what-to-show”` property

      “what-to-show”             gulong

read-only gulong TreeWalker:what-to-show.

Flags: Read